<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="e0079f3a-80a2-4216-a0ff-1482a6e40a07" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="Pixel_2_API_25" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand />
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FavoritesManager">
    <favorites_list name="Notes-master1" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../.." />
  </component>
  <component name="ProjectId" id="2DzNDgNRUJiAk3C1sds9b9VF8hN" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="android.sdk.path" value="$PROJECT_DIR$/../SDK" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
    <property name="show.inlinked.gradle.project.popup" value="false" />
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e0079f3a-80a2-4216-a0ff-1482a6e40a07" name="Default Changelist" comment="" />
      <created>1661697834984</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1661697834984</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="270" y="85" key="#Custom_Plugin_Repositories" timestamp="1663375369124">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state x="270" y="85" key="#Custom_Plugin_Repositories/0.0.1536.834@0.0.1536.834" timestamp="1663375369124" />
    <state x="424" y="66" key="#app" timestamp="1666198474156">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state x="424" y="66" key="#app/0.0.1536.834@0.0.1536.834" timestamp="1666198474156" />
    <state x="660" y="166" key="FileChooserDialogImpl" timestamp="1663377162878">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state x="660" y="166" key="FileChooserDialogImpl/0.0.1536.834@0.0.1536.834" timestamp="1663377162878" />
    <state width="736" height="213" key="GridCell.Tab.0.bottom" timestamp="1661766141830">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state width="736" height="213" key="GridCell.Tab.0.bottom/0.0.1536.834@0.0.1536.834" timestamp="1661766141830" />
    <state width="736" height="213" key="GridCell.Tab.0.center" timestamp="1661766141830">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state width="736" height="213" key="GridCell.Tab.0.center/0.0.1536.834@0.0.1536.834" timestamp="1661766141830" />
    <state width="736" height="213" key="GridCell.Tab.0.left" timestamp="1661766141829">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state width="736" height="213" key="GridCell.Tab.0.left/0.0.1536.834@0.0.1536.834" timestamp="1661766141829" />
    <state width="736" height="213" key="GridCell.Tab.0.right" timestamp="1661766141830">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state width="736" height="213" key="GridCell.Tab.0.right/0.0.1536.834@0.0.1536.834" timestamp="1661766141830" />
    <state x="179" y="69" key="SettingsEditor" timestamp="1666180897410">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state x="179" y="69" key="SettingsEditor/0.0.1536.834@0.0.1536.834" timestamp="1666180897410" />
    <state x="168" y="120" width="1200" height="596" key="com.android.tools.idea.avdmanager.AvdListDialog" timestamp="1666198529292">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state x="168" y="120" width="1200" height="596" key="com.android.tools.idea.avdmanager.AvdListDialog/0.0.1536.834@0.0.1536.834" timestamp="1666198529292" />
    <state x="93" y="93" width="1350" height="648" key="com.intellij.history.integration.ui.views.DirectoryHistoryDialog" timestamp="1662301139595">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state x="93" y="93" width="1350" height="648" key="com.intellij.history.integration.ui.views.DirectoryHistoryDialog/0.0.1536.834@0.0.1536.834" timestamp="1662301139595" />
    <state x="351" y="222" key="com.intellij.ide.util.TipDialog" timestamp="1666198437357">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state x="351" y="222" key="com.intellij.ide.util.TipDialog/0.0.1536.834@0.0.1536.834" timestamp="1666198437357" />
    <state x="489" y="207" width="715" height="306" key="org.intellij.images.editor.actions.BackgroundImageDialog" timestamp="1662299453517">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state x="489" y="207" width="715" height="306" key="org.intellij.images.editor.actions.BackgroundImageDialog/0.0.1536.834@0.0.1536.834" timestamp="1662299453517" />
    <state x="407" y="73" width="672" height="678" key="search.everywhere.popup" timestamp="1666179890912">
      <screen x="0" y="0" width="1536" height="834" />
    </state>
    <state x="407" y="73" width="672" height="678" key="search.everywhere.popup/0.0.1536.834@0.0.1536.834" timestamp="1666179890912" />
  </component>
</project>